{
  "schema_version": "1.4.0",
  "id": "GHSA-x8jx-f436-2vp7",
  "modified": "2022-05-01T23:35:59Z",
  "published": "2022-05-01T23:35:59Z",
  "aliases": [
    "CVE-2008-1026"
  ],
  "details": "Integer overflow in the PCRE regular expression compiler (JavaScriptCore/pcre/pcre_compile.cpp) in Apple WebKit, as used in Safari before 3.1.1, allows remote attackers to execute arbitrary code via a regular expression with large, nested repetition counts, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-1026"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/41859"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2008//Jul/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2008/Apr/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29846"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31074"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/securityalert/3815"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT1467"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/490990/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/28815"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1019870"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/1250/references"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/2094/references"
    },
    {
      "type": "WEB",
      "url": "http://www.zerodayinitiative.com/advisories/ZDI-08-022"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-04-17T19:05:00Z"
  }
}